package rition.backend.api.v1.dto.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MetricDataResponse {
    /**
     * 监控指标值，使用json格式存储
     */
    private Map<String, MetricDataResponseItem> metricData;

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class MetricDataResponseItem {
        private List<Long> time;
        private List<Double> value;
    }
}
