package rition.common.data.enums;

import java.time.ZoneId;

public class Constants {
    public static final ZoneId DefaultTimeZone = ZoneId.of("Asia/Shanghai");

    public static class EntityCommonStatus {
        public static final Integer NORMAL = 0;
        public static final Integer DELETED = 1;
    }

    public static class RedisKeys {
        public static final String RULE_CACHE = "rition:cache:rule";
        public static final String RECENT_METRIC_CACHE = "rition:cache:metrics";
        public static final String PROCESS_TRACE = "rition:request:trace:%s";
    }

    /**
     * 缓存最近一小时的数据
     */
    public static final int MAX_METRIC_CACHE_NUM = 3600/5;
}
